public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [rpms/gcc] rhel-f41-base: Import RHEL's regression test for #1893340
@ 2026-06-29 12:29
0 siblings, 0 replies; only message in thread
From: @ 2026-06-29 12:29 UTC (permalink / raw)
To: git-commits
A new commit has been pushed.
Repo : rpms/gcc
Branch : rhel-f41-base
Commit : dc53defcf35cec20c720e2bb1a7fcfcf12c53bf3
Author : Václav Kadlčík <vkadlcik@redhat.com>
Date : 2021-07-09T15:36:20+02:00
Stats : +77/-0 in 4 file(s)
URL : https://src.fedoraproject.org/rpms/gcc/c/dc53defcf35cec20c720e2bb1a7fcfcf12c53bf3?branch=rhel-f41-base
Log:
Import RHEL's regression test for #1893340
---
diff --git a/tests/Regression/bz1893340-Variadic-arguments-are-missing-from-debugging-data/b.gdb b/tests/Regression/bz1893340-Variadic-arguments-are-missing-from-debugging-data/b.gdb
new file mode 100644
index 0000000..341301d
--- /dev/null
+++ b/tests/Regression/bz1893340-Variadic-arguments-are-missing-from-debugging-data/b.gdb
@@ -0,0 +1,2 @@
+info functions foo
+q
diff --git a/tests/Regression/bz1893340-Variadic-arguments-are-missing-from-debugging-data/main.fmf b/tests/Regression/bz1893340-Variadic-arguments-are-missing-from-debugging-data/main.fmf
new file mode 100644
index 0000000..7054cbd
--- /dev/null
+++ b/tests/Regression/bz1893340-Variadic-arguments-are-missing-from-debugging-data/main.fmf
@@ -0,0 +1,17 @@
+summary: Test for BZ#1893340 (Variadic arguments are missing from debugging data)
+description: |
+ Bug summary: Variadic arguments are missing from debugging data when building with -flto
+ Bugzilla link: https://bugzilla.redhat.com/show_bug.cgi?id=1893340
+contact: Alexandra Hájková <ahajkova@redhat.com>
+component:
+- gcc
+test: ./runtest.sh
+framework: beakerlib
+recommend:
+- gcc
+- gdb
+duration: 5m
+link:
+- relates: https://bugzilla.redhat.com/show_bug.cgi?id=1893340
+extra-summary: /tools/gcc/Regression/bz1893340-Variadic-arguments-are-missing-from-debugging-data
+extra-task: /tools/gcc/Regression/bz1893340-Variadic-arguments-are-missing-from-debugging-data
diff --git a/tests/Regression/bz1893340-Variadic-arguments-are-missing-from-debugging-data/runtest.sh b/tests/Regression/bz1893340-Variadic-arguments-are-missing-from-debugging-data/runtest.sh
new file mode 100755
index 0000000..f2dd2ca
--- /dev/null
+++ b/tests/Regression/bz1893340-Variadic-arguments-are-missing-from-debugging-data/runtest.sh
@@ -0,0 +1,52 @@
+#!/bin/bash
+# vim: dict+=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# runtest.sh of /tools/gcc/Regression/bz1893340-Variadic-arguments-are-missing-from-debugging-data
+# Description: Test for BZ#1893340 (Variadic arguments are missing from debugging data)
+# Author: Alexandra Hájková <ahajkova@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Copyright (c) 2021 Red Hat, Inc.
+#
+# This program is free software: you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation, either version 2 of
+# the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be
+# useful, but WITHOUT ANY WARRANTY; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see http://www.gnu.org/licenses/.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+# Include Beaker environment
+. /usr/share/beakerlib/beakerlib.sh || exit 1
+
+PACKAGE="gcc"
+
+rlJournalStart
+ rlPhaseStartSetup
+ rlAssertRpm $PACKAGE
+ rlRun "TmpDir=\$(mktemp -d)" 0 "Creating tmp directory"
+ rlRun "cp test.c b.gdb $TmpDir"
+ rlRun "pushd $TmpDir"
+ rlPhaseEnd
+
+ rlPhaseStartTest
+ rlRun "gcc -fPIC -shared -o libtest.so -O0 -g test.c"
+ rlRun "gdb -x b.gdb libtest.so > gdb.log"
+ rlAssertGrep "void foo(int, ...);" gdb.log
+ rlPhaseEnd
+
+ rlPhaseStartCleanup
+ rlRun "popd"
+ rlRun "rm -r $TmpDir" 0 "Removing tmp directory"
+ rlPhaseEnd
+rlJournalPrintText
+rlJournalEnd
diff --git a/tests/Regression/bz1893340-Variadic-arguments-are-missing-from-debugging-data/test.c b/tests/Regression/bz1893340-Variadic-arguments-are-missing-from-debugging-data/test.c
new file mode 100644
index 0000000..3de5962
--- /dev/null
+++ b/tests/Regression/bz1893340-Variadic-arguments-are-missing-from-debugging-data/test.c
@@ -0,0 +1,6 @@
+#include <stdarg.h>
+void foo(int args, ...) {
+ va_list ap;
+ va_start(ap, args);
+ va_end(ap);
+}
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2026-06-29 12:29 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-06-29 12:29 [rpms/gcc] rhel-f41-base: Import RHEL's regression test for #1893340
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox